{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Students Lookup
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-stack-overflow"></i>
                Batch-wise Students Lookup
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    {% load static %}
                    {% get_media_prefix as MEDIA_ROOT %}

                    <form id="demo-form2" class="form-horizontal form-label-left" data-parsley-validate=""
                          novalidate="">
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Department
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select class="selectpicker form-control" name="dept" id="dept" data-width="auto"
                                        required>
                                    <option disabled selected>-----------</option>
                                    {% for each in dept_list %}
                                        <option value="{{ each.id }}"
                                                data-subtext="{{ each.acronym }}">{{ each }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Year of Study
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="year" id="year" class="form-control"
                                        required>
                                    <option disabled selected>-----------</option>
                                </select>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div>
                <div class="table-responsive">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <th>S. No.</th>
                            <th>Image</th>
                            <th>Register No.</th>
                            <th>Name</th>
                        </tr>
                        </thead>
                        <tbody id="content">
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $(document).on("change", '#dept', function (e) {
            var dept = $(this).val();
            //alert(dept)


            $.ajax({
                type: "POST",
                data: {
                    department: dept,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'wholestudentslookup' %}',
                success: function (data) {
                    //$('#batch').val(data['list']);
                    document.getElementById('content').innerHTML = "";
                    $('#year').empty();
                    $('#year').append('<option disabled selected>' + '-----------' + '</option>');
                    $.each(data.list, function (key, val) {
                        $('#year').append('<option value="' + val.batch_obj + '">' + val.display_batch + '</option>');
                    })

                }
            });
        });

        $(document).on("change", '#year', function (e) {
            var year = $(this).val();
            var department = $('#dept').val();
            //alert(department);


            $.ajax({
                type: "POST",
                data: {
                    year: year,
                    dept: department,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'wholestudentslookup' %}',

                success: function (data) {
                    document.getElementById('content').innerHTML = "";
                    counter = 1;
                    $.each(data.list, function (key, val) {
                        if (val.avatar) {
                            document.getElementById('content').innerHTML += '<tr><td>' + counter++ + '</td><td><img id=\"' + val.avatar + '\" src=\' \' alt=\"Image Not found\" height=\"50px\" width=\"50px\"></td><td><a class=\"btn btn-link\" href=\"../' + val.regno + '\" target=\"_blank\" >' + val.regno + '</a></td><td>' + val.name + '</td></tr>';
                            document.getElementById(val.avatar).src = "{{ MEDIA_ROOT }}" + val.avatar;
                        }
                        else {
                            if (val.gender == 'M') {
                                document.getElementById('content').innerHTML += '<tr><td>' + counter++ + '</td><td><img src=\'{{ MEDIA_ROOT }}/images/male.png \' alt=\"Image Not found\" height=\"50px\" width=\"50px\"></td><td><a class=\"btn btn-link\" href=\"../' + val.regno + '\" target=\"_blank\" >' + val.regno + '</a></td><td>' + val.name + '</td></tr>';
                            }
                            else {
                                document.getElementById('content').innerHTML += '<tr><td>' + counter++ + '</td><td><img src=\'{{ MEDIA_ROOT }}/images/female.png \' alt=\"Image Not found\" height=\"50px\" width=\"50px\"></td><td><a class=\"btn btn-link\" href=\"../' + val.regno + '\" target=\"_blank\" >' + val.regno + '</a></td><td>' + val.name + '</td></tr>';
                            }
                        }
                    })

                }
            });

        });
    </script>

{% endblock %}